Adobe RoboHelp Server Unspecified SQLi (APSB16-12)

Medium Nessus Plugin ID 90712

Synopsis

The remote Windows host has an application installed that is affected by an unspecified SQL injection vulnerability.

Description

Adobe RoboHelp Server version 9 is installed on the remote host, and it is missing a hotfix that resolves Adobe security advisory APSB16-12. It is, therefore, affected by an unspecified SQL injection vulnerability due to improper sanitization of user-supplied input before using it in SQL queries. An unauthenticated, remote attacker can exploit this to inject or manipulate SQL queries on the back-end database, resulting in the disclosure of arbitrary data.

Note that Nessus has not attempted to exploit this issue but has instead checked to verify that the vendor-supplied patch has been applied.

Solution

Apply the patch referenced in the vendor advisory.

See Also

https://helpx.adobe.com/security/products/robohelp-server/apsb16-12.html

Plugin Details

Severity: Medium

ID: 90712

File Name: robohelpserver_apsb16-12.nasl

Version: $Revision: 1.3 $

Type: local

Agent: windows

Family: Windows

Published: 2016/04/26

Modified: 2016/04/29

Dependencies: 66315

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:adobe:robohelp_server

Required KB Items: SMB/Registry/Enumerated, installed_sw/Adobe RoboHelp Server

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/04/12

Vulnerability Publication Date: 2016/04/12

Reference Information

CVE: CVE-2016-1035

IAVB: 2016-B-0076